 <!DOCTYPE html>
 {% load rango_template_tags %}
 {% load staticfiles %}
 <html>
 <head>
     <title>Rango -
         {% block title_block %}
         How to Tango with Django!
         {% endblock %}
     </title>
</head>
<body>

    <div>
        {% block body_block %}
        {% endblock %}
    </div>

    <hr />

    <div>
        <ul>
            {% if user.is_authenticated %}
            <li><a href="{% url 'rangoapp:restricted' %}">Restricted Page</a></li>
            <li><a href="{% url 'rangoapp:logout' %}">Logout</a></li>
            <li><a href="{% url 'rangoapp:add_category' %}">Add a New Category</a></li>
            {% else %}
            <li><a href="{% url 'rangoapp:login' %}">Sign In</a></li>
            <li><a href="{% url 'rangoapp:register' %}">Sign Up</a></li>
            {% endif %}
            <li><a href="{% url 'rangoapp:about' %}">About</a></li>
            <li><a href="{% url 'rangoapp:index' %}">Index</a></li>
        </ul>
    </div>

    <div>
        {% block sidebar_block %}
        {% get_category_list category %}
        {% endblock %}
    </div>

</body>
</html>
